## visad.collab
Class MonitorSyncer

    java.lang.Object
      visad.collab.MonitorSyncer

All Implemented Interfaces:
  Runnable

class MonitorSyncer
extends Object
implements Runnable

Nested Class Summary
`(package private) class` `MonitorSyncer.ControlEventKey` Used as key for ControlEvents in listener queue

Constructor Summary
`MonitorSyncer(String name, MonitorCallback callback, int id)`
`MonitorSyncer(String name, RemoteDisplay rmtDpy, int id)`

Method Summary
`void` `addEvent(MonitorEvent evt)`
`MonitorEvent` `getEvent(Object key)`
`int` `getID()` Get the unique identifier.
`MonitorCallback` `getListener()`
`String` `getName()`
`boolean` `hasControlEventQueued(Control ctl)`
`boolean` `isDead()` Check to see if the connection is dead.
`boolean` `isEmpty()`
`boolean` `isMonitored(RemoteDisplay rmtDpy)` Check to see if this object is monitoring the specified `RemoteDisplay`.
`void` `run()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorSyncer

    public MonitorSyncer(String name,
                         MonitorCallback callback,
                         int id)
                  throws RemoteException

### MonitorSyncer

    public MonitorSyncer(String name,
                         RemoteDisplay rmtDpy,
                         int id)
                  throws RemoteException

Method Detail

### addEvent

    public void addEvent(MonitorEvent evt)

### getEvent

    public MonitorEvent getEvent(Object key)

### getID

    public int getID()

  Get the unique identifier.

  Returns:
    the unique identifier.

### getListener

    public MonitorCallback getListener()

### getName

    public String getName()

### hasControlEventQueued

    public boolean hasControlEventQueued(Control ctl)

### isEmpty

    public boolean isEmpty()

### isDead

    public boolean isDead()

  Check to see if the connection is dead.

  Returns:
    `true` if the connection is dead.

### isMonitored

    public boolean isMonitored(RemoteDisplay rmtDpy)

  Check to see if this object is monitoring the specified `RemoteDisplay`.

  Parameters:
    `rmtDpy` - `RemoteDisplay` being searched for.
  Returns:
    `true` if this object is monitoring the display.

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### toString

    public String toString()